package com.jifutech.controller;

import com.jifutech.bean.FundCompany;
import com.jifutech.bean.FundInfo;
import com.jifutech.service.FundCompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class FundCompanyController {

    @Autowired
    private FundCompanyService fundCompanyService;

    @GetMapping("/fund-company/{key}")
    public FundCompany buy(@PathVariable("key") Long key) {
        System.out.println(String.format("customer: get fund company,key is %s",key));
        FundCompany fundCompany = fundCompanyService.getFundCompany(key);
        return fundCompany;
    }
}
