package com.jifutech.controller;

import com.jifutech.bean.FundCompany;
import com.jifutech.bean.FundInfo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class FundCompanyController {

    @GetMapping("/fund-company/{key}")
    public FundCompany get(@PathVariable("key") Long key) {
        System.out.println(String.format("server: get fund company,key is %s",key));
        FundCompany fundCompany = new FundCompany();
        fundCompany.setFundCompanyName("贝莱德全球科技基金公司7001");
        fundCompany.setFundCompanyCode("COMPANY001");
        return fundCompany;
    }
}
