package com.jifutech.controller;

import com.jifutech.bean.FundInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

@RestController
public class FundController {

    @Autowired
    private RestTemplate restTemplate;
    @Value("${server}")
    private String SERVER;

    @GetMapping("/fund/{key}")
    public FundInfo buy(@PathVariable("key") Long key) {
        System.out.println(String.format("customer: get fund,key is %s",key));
        FundInfo fundInfo = restTemplate.getForObject("http://"+SERVER+"/fund/" + key, FundInfo.class);
        return fundInfo;
    }

}
