package com.jifutech.service;

import com.jifutech.bean.FundCompany;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient("${server}")
public interface FundCompanyService {

    @RequestMapping(value = "/fund-company/{key}",method = RequestMethod.GET)
    public FundCompany getFundCompany(@PathVariable("key") Long key);

}
