package com.jifutech.controller;

import com.jifutech.bean.FundInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class FundController {
    @GetMapping("/fund/{key}")
    public FundInfo get(@PathVariable("key") Long key) {
        System.out.println(String.format("server: get fund,key is %s",key));
        FundInfo fundInfo = new FundInfo();
        fundInfo.setFundName("贝莱德全球科技基金7001");
        fundInfo.setFundCode("KHL00981");
        return fundInfo;
    }
}
